curl --request GET \
--url https://api.withterminal.com/tsp/v1/syncs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Connection-Token: <connection-token>'import requests
url = "https://api.withterminal.com/tsp/v1/syncs/{id}"
headers = {
"Connection-Token": "<connection-token>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Connection-Token': '<connection-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.withterminal.com/tsp/v1/syncs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "sync_01GV12VR4DJP70GD1ZBK0SDWFH",
"status": "completed",
"requestedAt": "2021-01-06T03:24:53.000Z",
"failureReason": "Reason for failure if sync status is 'failed'",
"progress": 85,
"issues": [
"isu_01D8ZQFGHVJ858NBF2Q7DV9MNC"
],
"startFrom": "2021-01-06T03:24:53.000Z",
"completedAt": "2021-01-06T03:24:53.000Z",
"attempts": 1,
"providerRequests": [
"historical_files"
]
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "not_found",
"message": "Resource not found",
"detail": "Could not find resource with ID: 2342342"
}{
"code": "connection_deleted",
"message": "Connection has been deleted, cannot execute action"
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}Get Sync Job Status
Get the status of a sync job by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.
The token returned when a user authenticated their account. This authorizes access to a specific account.
^con_tkn_\S+$"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"
Path Parameters
^sync_[0-9A-HJKMNP-TV-Z]{26}$"sync_01GV12VR4DJP70GD1ZBK0SDWFH"
Query Parameters
Expand related resources in the response to reduce requests.
issues Response
OK
^sync_[0-9A-HJKMNP-TV-Z]{26}$"sync_01GV12VR4DJP70GD1ZBK0SDWFH"
The status of the sync
requested, in_progress, completed, failed "completed"
If the sync failed, this will contain the reason
"Reason for failure if sync status is 'failed'"
Current sync progress as a percentage between 0 and 100.
0 <= x <= 10085
Issues are problems encountered with a connection that did not result in a failed sync but may require manual intervention. You can see the issues for a given sync by providing issues to the expand parameter.
^isu_[0-9A-HJKMNP-TV-Z]{26}$"isu_01D8ZQFGHVJ858NBF2Q7DV9MNC"
The earliest records to sync for those based on time (ex: historical locations and stats)
"2021-01-06T03:24:53.000Z"
1
Provider requests attached to this sync. When non-empty, the sync is waiting on an out-of-band step on the provider's side (e.g. the provider manually delivering historical files, or credentials being provisioned) and may legitimately stay in progress for an extended period.
historical_files, provision_credentials ["historical_files"]